## org.apache.lucene.queryparser.flexible.core
Class QueryNodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.queryparser.flexible.core.QueryNodeException

All Implemented Interfaces:
  Serializable, NLSException

Direct Known Subclasses:
  QueryNodeParseException

    public class QueryNodeException

extends Exception
implements NLSException

This exception should be thrown if something wrong happens when dealing with `QueryNode`s.

It also supports NLS messages.

See Also:
  `Message`, `NLS`, `NLSException`, `QueryNode`, Serialized Form

Field Summary
`protected Message` `message`

Constructor Summary
`QueryNodeException(Message message)`
`QueryNodeException(Message message, Throwable throwable)`
`QueryNodeException(Throwable throwable)`

Method Summary
`String` `getLocalizedMessage()`
`String` `getLocalizedMessage(Locale locale)`
`String` `getMessage()`
`Message` `getMessageObject()`
`String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected Message message

Constructor Detail

### QueryNodeException

    public QueryNodeException(Message message)

### QueryNodeException

    public QueryNodeException(Throwable throwable)

### QueryNodeException

    public QueryNodeException(Message message,
                              Throwable throwable)

Method Detail

### getMessageObject

    public Message getMessageObject()

  Specified by:
    `getMessageObject` in interface `NLSException`
  Returns:
    a instance of a class that implements the Message interface

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getLocalizedMessage

    public String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `Throwable`

### getLocalizedMessage

    public String getLocalizedMessage(Locale locale)

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.